---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Update address

Updates given fields for a given customer address

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Customer Address",
      "description": "Represents the address associated with a specific customer, including details such as location, contact information, and address type."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v2/customers/{customerId}/addresses/{id}": {
      "patch": {
        "tags": [
          "Customer Address"
        ],
        "operationId": "customer.address.update.v2",
        "summary": "Update address",
        "description": "Updates given fields for a given customer address",
        "parameters": [
          {
            "in": "path",
            "name": "customerId",
            "required": true,
            "description": "Customer's identifier",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "in": "path",
            "name": "id",
            "description": "customers address identifier",
            "required": true,
            "schema": {
              "oneOf": [
                {
                  "type": "string",
                  "enum": [
                    "masterdata",
                    "billingaddress"
                  ]
                },
                {
                  "type": "string",
                  "pattern": "\\d+",
                  "example": "17",
                  "description": "Resource identifier."
                }
              ]
            }
          }
        ],
        "requestBody": {
          "description": "Update customer address",
          "content": {
            "application/json": {
              "schema": {
                "anyOf": [
                  {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "street": {
                        "type": "string",
                        "nullable": false,
                        "example": "1234 main street",
                        "description": "Street name + Housenumber of the address"
                      },
                      "addressSupplement": {
                        "type": "string",
                        "nullable": true,
                        "example": "6th floor",
                        "description": "Additional supplement for address"
                      },
                      "zip": {
                        "type": "string",
                        "nullable": false,
                        "example": "12345",
                        "description": "ZIP code of address"
                      },
                      "city": {
                        "type": "string",
                        "nullable": false,
                        "example": "sample town",
                        "description": "Name of city"
                      },
                      "country": {
                        "type": "string",
                        "nullable": false,
                        "example": "DE",
                        "description": "ISO code (ISO 3166-1 alpha-2) of country"
                      },
                      "state": {
                        "type": "string",
                        "nullable": true,
                        "example": "BY",
                        "description": "ISO code (ISO 3166-2 without country part) of state/province"
                      },
                      "department": {
                        "type": "string",
                        "nullable": true,
                        "example": "Sales",
                        "description": "Name of deptartment"
                      },
                      "subDepartment": {
                        "type": "string",
                        "nullable": true,
                        "example": "Online Sales",
                        "description": "Name of sub-department"
                      }
                    }
                  },
                  {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "name": {
                        "type": "string",
                        "nullable": false,
                        "example": "Max Mustermann",
                        "description": "Full name for billing address"
                      },
                      "salutation": {
                        "type": "string",
                        "enum": [
                          "mr",
                          "mrs",
                          "company",
                          "other"
                        ],
                        "nullable": true,
                        "example": "mr",
                        "description": "Abbreviation for salutation"
                      },
                      "street": {
                        "type": "string",
                        "nullable": false,
                        "example": "1234 main street",
                        "description": "Street name + Housenumber of the address"
                      },
                      "addressSupplement": {
                        "type": "string",
                        "nullable": true,
                        "example": "6th floor",
                        "description": "Additional supplement for address"
                      },
                      "zip": {
                        "type": "string",
                        "nullable": false,
                        "example": "12345",
                        "description": "ZIP code of address"
                      },
                      "city": {
                        "type": "string",
                        "nullable": false,
                        "example": "sample town",
                        "description": "Name of city"
                      },
                      "country": {
                        "type": "string",
                        "nullable": false,
                        "example": "DE",
                        "description": "ISO code (ISO 3166-1 alpha-2) of country"
                      },
                      "state": {
                        "type": "string",
                        "nullable": true,
                        "example": "BY",
                        "description": "ISO code (ISO 3166-2 without country part) of state/province"
                      },
                      "department": {
                        "type": "string",
                        "nullable": true,
                        "example": "Sales",
                        "description": "Name of deptartment"
                      },
                      "subDepartment": {
                        "type": "string",
                        "nullable": true,
                        "example": "Online Sales",
                        "description": "Name of sub-department"
                      },
                      "contactDetails": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "phone": {
                            "type": "string",
                            "nullable": true,
                            "example": "0800 546372",
                            "description": "Phone number"
                          },
                          "email": {
                            "type": "string",
                            "nullable": true,
                            "example": "m.m@ somedomain.tpl",
                            "description": "Email address"
                          },
                          "gln": {
                            "type": "string",
                            "format": "number",
                            "nullable": true,
                            "minLength": 13,
                            "maxLength": 13,
                            "example": "1234567890123",
                            "description": "Global Location Number - key to identify physical/digital location globally"
                          }
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "name": {
                        "type": "string",
                        "nullable": true,
                        "example": "Max Mustermann",
                        "description": "Full name for billing address"
                      },
                      "salutation": {
                        "type": "string",
                        "enum": [
                          "mr",
                          "mrs",
                          "company",
                          "other"
                        ],
                        "nullable": true,
                        "example": "mr",
                        "description": "Abbreviation for salutation"
                      },
                      "street": {
                        "type": "string",
                        "nullable": false,
                        "example": "1234 main street",
                        "description": "Street name + Housenumber of the address"
                      },
                      "addressSupplement": {
                        "type": "string",
                        "nullable": true,
                        "example": "6th floor",
                        "description": "Additional supplement for address"
                      },
                      "zip": {
                        "type": "string",
                        "nullable": false,
                        "example": "12345",
                        "description": "ZIP code of address"
                      },
                      "city": {
                        "type": "string",
                        "nullable": false,
                        "example": "sample town",
                        "description": "Name of city"
                      },
                      "country": {
                        "type": "string",
                        "nullable": false,
                        "example": "DE",
                        "description": "ISO code (ISO 3166-1 alpha-2) of country"
                      },
                      "state": {
                        "type": "string",
                        "nullable": true,
                        "example": "BY",
                        "description": "ISO code (ISO 3166-2 without country part) of state/province"
                      },
                      "department": {
                        "type": "string",
                        "nullable": true,
                        "example": "Sales",
                        "description": "Name of deptartment"
                      },
                      "subDepartment": {
                        "type": "string",
                        "nullable": true,
                        "example": "Online Sales",
                        "description": "Name of sub-department"
                      },
                      "contactDetails": {
                        "type": "object",
                        "additionalProperties": false,
                        "nullable": true,
                        "properties": {
                          "phone": {
                            "type": "string",
                            "nullable": true,
                            "example": "0800 546372",
                            "description": "Phone number"
                          },
                          "email": {
                            "type": "string",
                            "nullable": true,
                            "example": "m.m@ somedomain.tpl",
                            "description": "Email address"
                          },
                          "gln": {
                            "type": "string",
                            "format": "number",
                            "nullable": true,
                            "minLength": 13,
                            "maxLength": 13,
                            "example": "1234567890123",
                            "description": "Global Location Number - key to identify physical/digital location globally"
                          }
                        }
                      },
                      "deliveryDetails": {
                        "type": "object",
                        "additionalProperties": false,
                        "nullable": true,
                        "properties": {
                          "defaultDeliveryAddress": {
                            "type": "boolean",
                            "example": true,
                            "description": "Set TRUE makes this address to default delivery address"
                          },
                          "termsOfDelivery": {
                            "type": "string",
                            "nullable": true,
                            "example": "free shipment",
                            "description": "Terms of delivery"
                          },
                          "vatId": {
                            "type": "string",
                            "nullable": true,
                            "example": "DE124345-23445",
                            "description": "VAT Id if different from masterdata"
                          },
                          "taxType": {
                            "type": "string",
                            "enum": [
                              "domestic",
                              "eu-delivery",
                              "export",
                              "free"
                            ],
                            "nullable": false,
                            "example": "domestic",
                            "description": "Taxation type"
                          },
                          "internalComment": {
                            "type": "string",
                            "nullable": true,
                            "example": "some text",
                            "description": "Internal Comments"
                          },
                          "note": {
                            "type": "string",
                            "nullable": true,
                            "example": "more text",
                            "description": "General Notes"
                          }
                        }
                      }
                    }
                  }
                ]
              },
              "examples": {
                "full-masterdata": {
                  "value": {
                    "street": "11W 53rd St",
                    "addressSupplement": "6. Floor",
                    "zip": "10019",
                    "city": "New York",
                    "state": "NY",
                    "country": "US",
                    "department": "Finance",
                    "subDepartment": "Controlling"
                  }
                },
                "full-billingaddress": {
                  "value": {
                    "name": "Kathleen Minority",
                    "salutation": "mrs",
                    "street": "11W 53rd St",
                    "addressSupplement": "6. Floor",
                    "zip": "10019",
                    "city": "New York",
                    "state": "NY",
                    "country": "US",
                    "department": "Finance",
                    "subDepartment": "Controlling",
                    "contactDetails": {
                      "phone": "0800 4526123",
                      "email": "k.m@ny.tld",
                      "gln": "1234567890123"
                    }
                  }
                },
                "full-deliveryaddress": {
                  "value": {
                    "name": "Kathleen Minority",
                    "salutation": "mrs",
                    "street": "11W 53rd St",
                    "addressSupplement": "6. Floor",
                    "zip": "10019",
                    "city": "New York",
                    "state": "NY",
                    "country": "US",
                    "department": "Finance",
                    "subDepartment": "Controlling",
                    "contactDetails": {
                      "phone": "0800 4526123",
                      "email": "k.m@ny.tld",
                      "gln": "1234567890123"
                    },
                    "deliveryDetails": {
                      "defaultDeliveryAddress": true,
                      "termsOfDelivery": "some terms here",
                      "vatId": "DE25-123455265",
                      "taxType": "domestic",
                      "internalComment": "internal notes",
                      "note": "some additional notes"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "Operation completed successfully, no response body"
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          }
        }
      }
    }
  }
}
```